Subject: Re: bug#20677: tooltips generate garbage

From: Angelo Graziosi <[email-masked]>
Date: Mon, 01 Jun 2015 13:46:54 +0200

Il 28/05/2015 04:43, Eli Zaretskii ha scritto:
>> Date: Wed, 27 May 2015 23:40:33 +0200
>> From: Angelo Graziosi <[email-masked]>
>>
>> After tooltips show up, they do not disappear moving the mouse but leave
>> garbage in the Emacs frame.
>>
>> I see this (on GNU/Linux, GTK build) in recent Emacs master.
>>
>> This DID NOT happen with the builds I did a few week ago (May 13).
>
> Please try bisecting, as I don't see it here.
>

OK. This master,

http://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-7ac84a2570e1268cc040fcd529508307b2b22c01.tar.gz

(http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=7ac84a2570e1268cc040fcd529508307b2b22c01)

works as expected.

Instead the next,

http://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-ee14727ce033bae3bc11af35e7843604e5a5e635.tar.gz

(http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=ee14727ce033bae3bc11af35e7843604e5a5e635)

shows the tooltip garbage I described.

For what I can see, the issue regards only the GTK build on GNU/Linux 
(Linux Mint 17.1 64 bit, with GTK+ 3.10)

Ciao,
  Angelo.